<?xml version="1.0" encoding="UTF-8" ?>
<schema
	targetNamespace="http://www.eclipse.org/hyades/schema/ProcessUnit.xsd"
	xmlns:pu="http://www.eclipse.org/hyades/schema/ProcessUnit.xsd"
	xmlns="http://www.w3.org/2001/XMLSchema"
	elementFormDefault="qualified">
	<annotation>
	  <documentation xml:lang="en">
	    Copyright (c) 2003 Hyades project.
		All rights reserved.   This program and the accompanying materials
		are made available under the terms of the Common Public License v1.0
		which accompanies this distribution, and is available at
		http://www.eclipse.org/legal/cpl-v10.html
	  </documentation>
	 </annotation>
	<element
		name="ProcessUnit"
		type="pu:ProcessUnitType" />
	<!-- Process Unit
		A Process Unit is the most basic component of execution in a context. It is provided
		as a place holder during development and is not normally used in a production adapter.
	-->
	<complexType name="ProcessUnitType">
		<attributeGroup ref="pu:ProcessUnitAttributes" />
	</complexType>
	<!-- Process Unit Attributes
		These attributes are required by all processing units in a context. The unique ID is used
		to match it with to component defined in the context configuration. The description is 
		optionally used for documentation and diagnosis purposes
	-->
	<attributeGroup name="ProcessUnitAttributes">
		<attribute
			name="uniqueID"
			type="string"
			use="required" />
		<attribute
			name="description"
			type="string"
			use="optional" />
	</attributeGroup>
</schema>
